{--------------------------------------------------------}
{
{           Cartavox- rotinas para matar spam
{
{--------------------------------------------------------}
unit msBloque;

interface

uses
    classes,
    dvarq,
    dvcrt,
    dvForm,
    dvWin,
    shellApi,
    sysutils,
    windows,
    carmsg;

function carregaArqProibidas: boolean;
function buscaProibidas (s: string): boolean;

implementation

{-------------------------------------------------------------}
{       Cria o arquivo de bloqueados padro
{-------------------------------------------------------------}

procedure criaArqBloqueados (nomeArq: string);
var
    arq: text;
begin
    assign (arq, nomeArq);
    {$i-} rewrite (arq); {$I+}
    if ioresult <> 0 then
        begin
            mensagem ('MSERRESC', 1); {'Erro de escrita no arquivo'}
            exit;
        end;

    {$i-} writeln (arq, '.SCR'); {$I+}
    if ioresult <> 0 then
        mensagem ('MSERRESC', 1) {'Erro de escrita no arquivo'}
    else
        begin
            writeln (arq, '.EXE"');
            writeln (arq, '!.ZIP');
            writeln (arq, 'DISCOUNT');
            writeln (arq, 'INCREASE');
            writeln (arq, 'CURRENT');
            writeln (arq, 'EMAGRECA-DORMINDO');
            writeln (arq, 'EMAGRECER-DORMINDO');
            writeln (arq, 'PILLS');
            writeln (arq, 'ENLARGEMENT');
            writeln (arq, 'ONLINE CASINO');
            writeln (arq, '.CHARGES');
            writeln (arq, 'CLIQUE AQUI');
        end;

    {$i-} close (arq); {$I+}
    if ioresult <> 0 then;
end;

{-------------------------------------------------------------}
{       Carrega o arquivo de nomes proibidos na memria
{-------------------------------------------------------------}

function carregaArqProibidas: boolean;
var
    nomeArq: string;
begin
    carregaArqProibidas := false;
    nomeArq := sintAmbiente ('MATASPAM', 'ARQBLOQUEADOS');
    if nomeArq = '' then
        nomeArq := 'c:\winvox\msbloque.ini';
    if not fileExists (nomeArq) then
        criaArqBloqueados (nomeArq);
    if carregaLinhasArquivo (nomeArq) then
        carregaArqProibidas := true;
end;

{-------------------------------------------------------------}
{       Testa se a string  proibida
{-------------------------------------------------------------}

function buscaProibidas (s: string): boolean;
    var
    i: integer;
begin
    s := AnsiUpperCase(s);
    buscaProibidas := false;
    for i := 0 to (linhasArquivo.count -1) do
        if (trim(s) <> '') and (pos(linhasArquivo[i], s) <> 0) then
            begin
                buscaProibidas := true;
                break;
            end;
end;

{-------------------------------------------------------------}
begin
end.
