{--------------------------------------------------------}
{
{           CartaVox - mensagens
{
{--------------------------------------------------------}

unit carMsg;

interface

uses
    dvcrt,
    dvWin,
    dvLenum,
    sysUtils,
    windows;

function pegaTextoMensagem (nomeArq: string): string;
procedure mensagem (nomeArq: string; nlf: integer);
procedure tocaOuSintetiza (nomeArq: string);
procedure msgBaixo (nomeArq: string);
procedure falaTamanhoArq (tam: longint);
procedure bipSpeaker (pitch: integer);
procedure soletra(s: string; nlf: integer);

const
    MSG_CONEXAOCANC = 'Conexo foi cancelada';
    CONF_CARTAVOX = 'CARTAVOX - Configurao';
    CONFMONIT_CARTAVOX = 'CARTAVOX - Configurao do monitoramento';
    CONFAVAN_CARTAVOX = 'CARTAVOX - Configurao avanada';

implementation

{--------------------------------------------------------}
{       descobre o texto da mensagem
{--------------------------------------------------------}

function pegaTextoMensagem (nomeArq: string): string;
var s: string;
begin
    if nomeArq = 'CTCOMORI' then
        s := 'Com original'
    else
    if nomeArq = 'CTSEMORI' then
        s := 'Sem original'
    else
    if nomeArq = 'CTPAICON' then
        s := 'Painel de Configurao'
    else
    if nomeArq = 'CTVEL' then
        s := 'Velocidade Sapi'
    else
    if nomeArq = 'CTVELC' then
        s := 'Velocidade'
    else
    if nomeArq = 'CTCOMSAP' then
        s := 'Com Sapi'
    else
    if nomeArq = 'CTTIPSAP' then
        s := 'Tipo Sapi'
    else
    if nomeArq = 'CTNUMSAP' then
        s := 'Nmero Sapi'
    else
    if nomeArq = 'CTTOM' then
        s := 'Tonalidade Sapi'
    else
    if nomeArq = 'CTAGUARC' then
        s := 'Aguarde, configurando'
    else

    if nomeArq = 'CTNOMENV' then
        s := 'Qual o nome do arquivo a enviar ? '
    else
    if  nomeArq = 'CTINIC' then
        s := 'CARTAVOX - Correio Eletrnico - NCE/UFRJ - v.'
    else
    if nomeArq = 'CTINIC1' then
        s := 'CARTAVOX'
    else
    if nomeArq = 'CTAJUD01' then
        s := 'As opes so'
    else
    if nomeArq = 'CTAJUD02' then
        s := '  E   Enviar carta'
    else
    if nomeArq = 'CTAJUD03' then
        s := '  T   Transmitir cartas escritas'
    else
    if nomeArq = 'CTAJUD04' then
        s := '  R   Receber cartas do correio'
    else
    if nomeArq = 'CTAJUD05' then
        s := '  F   Folhear as cartas j recebidas'
    else
    if nomeArq = 'CTAJUD5A' then
        s := '  N   Folhear as cartas no lidas'
    else
    if nomeArq = 'CTAJUD5B' then
        s := '  L   Folhear as cartas lidas'
    else
    if nomeArq = 'CTAJUD5C' then
        s := '  I   Informar configurao atual'
    else
    if nomeArq = 'CTAJUD06' then
        s := '  C   Configurar o programa'
    else
    if nomeArq = 'CTAJUD07' then
        s := '  A   Editar apelidos'
    else
    if nomeArq = 'CTAJUD08' then
        s := '  M   Monitorar correio'
    else
    if nomeArq = 'CTAJUD09' then
        s := '  Z   apagar cartas duplicadas no lidas'
    else
    if nomeArq = 'CTAJUD10' then
        s := '  Q   informar total de cartas'
    else
    if nomeArq = 'CTAJUD11' then
        s := '  S   mata Spam'
    else
    if nomeArq = 'CTAJUD12' then
        s := '  B   Regras'
    else
    if nomeArq = 'CTAJUD13' then
        s := '  U   Resposta automtica'
    else
    if nomeArq = 'CTAJUD14' then
        s := '  J   Folhear cartas no servidor'
    else
    if nomeArq = 'CTAJUD15' then
        s := '  K   Grupo de contas'
    else
    if nomeArq = 'CTAJUD16' then
        s := '  X   Conexo com IMAPUtil'
    else
    if nomeArq = 'CTAJUD17' then
        s := '  Y   Mata Spam nas cartas no lidas'
    else
    if nomeArq = 'CTSETOPC' then
        s := 'Use as setas para conhecer outras opes'

    else
    if nomeArq = 'CTQUALOP' then
        s := 'Qual sua opo? '
    else
    if nomeArq = 'CTOPVINV' then
        s := 'Opo invlida, aperte F1 para ajuda'
    else
    if nomeArq = 'CTF1AJUD' then
        s := 'F1 ajuda '
    else
    if nomeArq = 'CTFIM' then
        s := 'Fim do Correio'
    else
    if nomeArq = 'CTOKORD' then
        s := 'Ok, cartas ordenadas.'
    else
    if nomeArq = 'CTCARSUM' then
        s := 'Erro no disco: carta sumiu'
    else
    if nomeArq = 'CTAJFL02' then
        s := 'L ou ENTER - Para ler a carta'
    else
    if nomeArq = 'CTAJFL03' then
        s := 'I - Para obter informaes sobre a carta'
    else
    if nomeArq = 'CTAJFL04' then
        s := 'A - Apagar a carta'
    else
    if nomeArq = 'CTAJFL06' then
        s := 'C - Copiar'
    else
    if nomeArq = 'CTAJFL07' then
        s := 'ESC - Terminar folheamento'
    else
    if nomeArq = 'CTARQUIV' then
        s := 'Arquivo '
    else
    if nomeArq = 'CTASSUNT' then
        s := 'Assunto: '
    else
    if nomeArq = 'CTASSPRI' then
        s := 'Assunto primeiro'
    else
    if nomeArq = 'CTNOMPRI' then
        s := 'Nome primeiro'
    else
    if nomeArq = 'CTDATENV' then
        s := 'Data de envio: '
    else
    if nomeArq = 'CTDATCHE' then
        s := 'Data de chegada: '
    else
    if nomeArq = 'CTCNFAPA' then
        s := 'Confirma o apagamento desta carta com assunto'
    else
    if nomeArq = 'CTSIMNAO' then
        s := '(S/N) '
    else
    if nomeArq = 'CTERRDSK' then
        s := 'Erro de escrita no disco'
    else
    if nomeArq = 'CTOKAPA' then
        s := 'Ok, carta apagada'
    else
    if nomeArq = 'CTPOSMAN' then
        s := 'Posso mandar para '
    else
    if nomeArq = 'CTENDDST' then
        s := 'Qual o endereo eletrnico do destinatrio? '
    else
    if nomeArq = 'CTDESIST' then
        s := 'Desistiu...'
    else
    if nomeArq = 'CTJOGEDI' then
        s := 'Jogo no editor o texto original (s/n) ? '
    else
    if nomeArq = 'CTERRLEI' then
        s := 'Erro de leitura do arquivo'
    else
    if nomeArq = 'CTCNFENV' then
        s := 'Confirma envio (s/n) ? '
    else
    if nomeArq = 'CTINFDST' then
        s := 'Informe o nome completo do arquivo destino:'
    else
    if nomeArq = 'CTULTARQ' then
        s := 'Ultimo arquivo...'
    else
    if nomeArq = 'CTSEMCAR' then
        s := 'No tem carta neste diretrio'
    else
    if nomeArq = 'CTUSESET' then
        s := 'Folheando: use as setas, depois tecle sua opo'
    else
    if nomeArq = 'CTCNTFOL' then
        s := 'Continue folheando ou tecle ESC'
    else
    if nomeArq = 'CTFOLFIM' then
        s := 'Folheamento terminado'
    else
    if nomeArq = 'CTPROGRV' then
        s := 'Problemas para gravar carta no disco'
    else
    if nomeArq = 'CTPROCON' then
        s := 'Problemas na conexo'
    else
    if nomeArq = 'CTACONT' then
        s := 'A conta '
    else
    if nomeArq = 'CTCONTA' then
        s := 'conta '
    else
    if nomeArq = 'CTNAOACE' then
        s := '... no foi aceita, servidor falou assim'
    else
    if nomeArq = 'CTINFSEN' then
        s := 'Informe sua senha: '
    else
    if nomeArq = 'CTASENHA' then
        s := 'A senha '
    else
    if nomeArq = 'CTEXISTE' then
        s := 'Existe no servidor '
    else
    if nomeArq = 'CTNAOARQ' then
        s := 'No existe'
    else
    if nomeArq = 'CTEXISTM' then
        s := 'Existem no servidor '
    else
    if nomeArq = 'CTCOMUSO' then
        s := ' com uso de '
    else
    if nomeArq = 'CTSELINT' then
        s := 'Quer selecionar interativamente ? '
    else
    if nomeArq = 'CTERRSRV' then
        s := 'Erro no servidor, veja o que ele disse:'
    else
    if nomeArq = 'CTERRTMP' then
        s := 'Problemas no arquivo temporrio'
    else
    if nomeArq = 'CTENVPOR' then
        s := 'Enviada por '
    else
    if nomeArq = 'CTPODSER' then
        s := 'Est correto ? '
    else
    if nomeArq = 'CTLIMPAC' then
        s := 'Limpo a conta?'
    else
    if nomeArq = 'CTCONTAC' then
        s := 'Contactando servidor para receber correspondncia'
    else
    if nomeArq = 'CTPEGCOR' then
        s := 'Pegando a correspondncia'
    else
    if nomeArq = 'CTPEGAND' then
        s := 'Pegando '
    else
    if nomeArq = 'CTCARTA' then
        s := 'Carta'
    else
    if nomeArq = 'CTOKPEG' then
        s := 'Ok, peguei a correspondncia'
    else
    if nomeArq = 'CTCONCAN' then
        s := 'Conexao com servidor foi cancelada'
    else
    if nomeArq = 'CTERRCOM' then
        s := 'No consegui ativar o sistema de comunicaes do micro'
    else
    if nomeArq = 'CTNAOSOQ' then
        s := 'No consegui criar soquete'
    else
    if nomeArq = 'CTERBIND' then
        s := 'No consegui alocar porta (bind)'
    else
    if nomeArq = 'CTSEMSRV' then
        s := 'No consegui achar um servidor com este nome'
    else
    if nomeArq = 'CTNAOCON' then
        s := 'No consegui realizar a conexo'
    else
    if nomeArq = 'CTCONOK' then
        s := 'Conexo realizada'
    else
    if nomeArq = 'CTERRCNF' then
        s := 'Este programa est configurado com erro !'
    else
    if nomeArq = 'CTERRGER' then
        s := 'No consegui gerar carta para envio'
    else
    if nomeArq = 'CTNAOMAN' then
        s := 'Carta no ser mandada'
    else
    if nomeArq = 'CTARQSUM' then
        s := 'Arquivo a enviar sumiu !'
    else
    if nomeArq = 'CTCARPRP' then
        s := 'Carta preparada para envio'
    else
    if nomeArq = 'CTPRP' then
        s := 'Preparada'
    else
    if nomeArq = 'CTNENPRP' then
        s := 'Nenhuma carta preparada'
    else
    if nomeArq = 'CTNENENV' then
        s := 'Nenhuma carta enviada'
    else
    if nomeArq = 'CTNENREC' then
        s := 'Nenhuma carta recebida'
    else
    if nomeArq = 'CTNENLID' then
        s := 'Nenhuma carta lida'
    else
    if nomeArq = 'CTNENNLI' then
        s := 'Nenhuma carta no lida'
    else
    if nomeArq = 'CTUMAPRP' then
        s := 'Uma carta preparada'
    else
    if nomeArq = 'CTUMAREC' then
        s := 'Uma carta recebida'
    else
    if nomeArq = 'CTUMAENV' then
        s := 'Uma carta enviada'
    else
    if nomeArq = 'CTUMALID' then
        s := 'Uma carta lida'
    else
    if nomeArq = 'CTUMANLI' then
        s := 'Uma carta no lida'
    else
    if nomeArq = 'CTDUAPRP' then
        s := 'Duas cartas preparadas'
    else
    if nomeArq = 'CTDUAREC' then
        s := 'Duas cartas recebidas'
    else
    if nomeArq = 'CTDUAENV' then
        s := 'Duas cartas enviadas'
    else
    if nomeArq = 'CTDUALID' then
        s := 'Duas cartas lidas'
    else
    if nomeArq = 'CTDUANLI' then
        s := 'Duas cartas no lidas'
    else
    if nomeArq = 'CTNOMMAN' then
        s := 'Qual o nome do arquivo de texto a mandar ? '
    else
    if nomeArq = 'CTQUERTC' then
        s := 'Esse arquivo no existe, quer teclar agora ? '
    else
    if nomeArq = 'CTABREDI' then
        s := 'Abrindo editor'
    else
    if nomeArq = 'CTPROENV' then
        s := 'Problema de arquivo ao enviar a carta '
    else
    if nomeArq = 'CTERRCAB' then
        s := 'Erro no cabealho da carta '
    else
    if nomeArq = 'CTVEJMEN' then
        s := 'Veja mensagem do servidor:'
    else
    if nomeArq = 'CTCONCAI' then
        s := 'Conexo de dados caiu'
    else
    if nomeArq = 'CTCONTSV' then
        s := 'Contactando servidor para transmitir cartas'
    else
    if nomeArq = 'CTSRVNAO' then
        s := 'Servidor no quer conversa, ele mandou esta mensagem'
    else
    if nomeArq = 'CTENVCAR' then
        s := 'Enviando as cartas'
    else
    if nomeArq = 'CTENVACA' then
        s := 'Enviando carta'
    else
    if nomeArq = 'CTSRVNGO' then
        s := 'Servidor no gostou dessa conexo, ele mandou esta mensagem'
    else
    if nomeArq = 'CTDIRSUM' then
        s := 'O diretorio de cartas sumiu !'
    else
    if nomeArq = 'CTTODENV' then
        s := 'Todas as cartas j foram enviadas'
    else
    if nomeArq = 'CTFIMENV' then
        s := 'Fim de envio'
    else
    if nomeArq = 'CTCARTAP' then
        s := 'Cartas permanecem prontas para ser enviadas'
    else
    if nomeArq = 'CTCNFAPC' then
        s := 'Posso apagar esta carta com erro ? '
    else
    if nomeArq = 'CTNAOEXE' then
        s := 'No foi possvel executar esse programa, erro #'
    else
    if nomeArq = 'CTNSSMTP' then
        s := 'Nome do servidor SMTP'
    else
    if nomeArq = 'CTSVPOP3' then
        s := 'Servidor para recepo de cartas - POP3'
    else
    if nomeArq = 'CTNSPOP3' then
        s := 'Nome do servidor POP3'
    else
    if nomeArq = 'CTSEUNOM' then
        s := 'Seu nome esta registrado como'
    else
    if nomeArq = 'CTQSEUNO' then
        s := 'Qual seu nome ?'
    else
    if nomeArq = 'CTNOME1' then
        s := 'Nome'
    else
    if nomeArq = 'CTENDREM' then
        s := 'Endereo eletrnico do remetente'
    else
    if nomeArq = 'CTENDCMP' then
        s := 'Qual seu endereo completo ?'
    else
    if nomeArq = 'CTCONREG' then
        s := 'Conta no servidor registrada como'
    else
    if nomeArq = 'CTQNOMEC' then
        s := 'Qual o nome de sua conta ?'
    else
    if nomeArq = 'CTDICREC' then
        s := 'Diretrio atual para cartas recebidas'
    else
    if nomeArq = 'CTQDIREC' then
        s := 'Qual o diretrio para cartas recebidas ?'
    else
    if nomeArq = 'CTRECUST' then
        s := 'Edies recentes, use as setas '
    else
    if nomeArq = 'CTREC' then
        s := 'Recebidas'
    else
    if nomeArq = 'CTREC1' then
        s := 'recebida'
    else
    if nomeArq = 'CTDINREC' then
        s := 'Diretrio atual para cartas ainda no enviadas'
    else
    if nomeArq = 'CTQUACAR' then
        s := 'Quantas trago agora?'
    else
    if nomeArq = 'CTENV' then
        s := 'Enviadas'
    else
    if nomeArq = 'CTQDINRC' then
        s := 'Qual o diretrio para cartas a enviar?'
    else
    if nomeArq = 'CTTAMMAX' then
        s := 'Tamanho mximo de carta recebida'
    else
    if nomeArq = 'CTQTAMAX' then
        s := 'Qual o tamanho mximo de carta recebida?'
    else
    if nomeArq = 'CTERRDIR' then
        s := 'Diretrio inexistente, informe de novo'
    else
    if nomeArq = 'CTQASSUN' then
        s := 'Qual o assunto da carta, enter se s resposta ? '
    else
    if nomeArq = 'CTATACHA' then
        s := 'Quer mandar arquivos junto com esta carta ? '
    else
    if nomeArq = 'CTATAINV' then
        s := 'Nome de arquivo invlido'
    else
    if nomeArq = 'CTNOMATA' then
        s := 'Nome do arquivo a enviar: '
    else
    if nomeArq = 'CTCNVPAD' then
        s := 'Posso usar a converso padrao (s/n) ? '
    else
    if nomeArq = 'CTTIPMIM' then
        s := 'Qual conversao: Mime64, Nenhuma, Iso-latin ou Uuencode ? '
    else
    if nomeArq = 'CTMAISAR' then
        s := 'Mais arquivos (s/n) ?'
    else
    if nomeArq = 'CTTEMATT' then
        s := 'Contm arquivos inclusos'
    else
    if nomeArq = 'CTNARQM' then
        s := 'Nmero de partes inclusas: '
    else
    if nomeArq = 'CTLERGRD' then
        s := 'Escolha: ler ou guardar em arquivo ? '
    else
    if nomeArq = 'CTNOMGRD' then
        s := 'Nome do arquivo a guardar: '
    else
    if nomeArq = 'CTOK' then
        s := 'OK'
    else
    if nomeArq = 'CTVOUGRV' then
        s := 'Pretendo gravar '
    else
    if nomeArq = 'CTTOCAR' then
        s := 'Arquivo  sonoro, quer tocar (s/n) ? '
    else
    if nomeArq = 'CTEDINOM' then
        s := 'Use as setas para reeditar, tecle ENTER para confirmar ou ESC para cancelar: '
    else
    if nomeArq = 'CTAPELID' then
        s := '(Comecar por * indica apelido)'
    else
    if nomeArq = 'CTEDIAPE' then
        s := 'Editando arquivo de apelidos'
    else
    if nomeArq = 'CTENVPAR' then
        s := 'Enviando para '
    else
    if nomeArq = 'CTINFAPE' then
        s := 'Informe o apelido: '
    else
    if nomeArq = 'CTINFNOM' then
        s := 'Informe o nome: '
    else
    if nomeArq = 'CTINFEND' then
        s := 'Informe o endereo eletrnico: '
    else
    if nomeArq = 'CTAPEINV' then
        s := 'Apelido invlido'
    else
    if nomeArq = 'CTCNFDST' then
        s := 'Confirma destino (s/n) ? '
    else
    if nomeArq = 'CTASSCAR' then
        s := 'Qual o assunto da carta ?'
    else
    if nomeArq = 'CTMOMENT' then
        s := 'Um momento...  '
    else
    if nomeArq = 'CTPODTRA' then
        s := 'Quer trazer ? '
    else
    if nomeArq = 'CTAPGCAR' then
        s := 'Apago do servidor '
    else
    if nomeArq = 'CTMODNOR' then
        s := 'Modo normal'
    else
    if nomeArq = 'CTMODDEB' then
        s := 'Modo debug: cartas no sero apagadas'
    else
    if nomeArq = 'CTNOMCNF' then
        s := 'Informe o nome da configurao (at 20 letras)'
    else
    if nomeArq = 'CTCNFNAO' then
        s := 'Configurao no achada'
    else
    if nomeArq = 'CTAJCO00' then
        s := 'N - Nova configurao'
    else
    if nomeArq = 'CTAJCO01' then
        s := 'C - configurar'
    else
    if nomeArq = 'CTAJCO02' then
        s := 'G - guardar configurao'
    else
    if nomeArq = 'CTAJCO03' then
        s := 'R - recuperar configurao'
    else
    if nomeArq = 'CTAJCO04' then
        s := 'A - apagar configurao'
    else
    if nomeArq = 'CTAJCO05' then
        s := '    O - outras configuraes'
    else
    if nomeArq = 'CTAJCO06' then
        s := '    P - Painel de configurao'
    else
    if nomeArq = 'CTOKRM' then
        s := 'Ok, removida'
    else
    if nomeArq = 'CTCONFRM' then
        s := 'Escolha com as setas a configurao a remover'
    else
    if nomeArq = 'CTCNFRMS' then
        s := 'Confirma remoo da configurao '
    else
    if nomeArq = 'CTOPCINV' then
        s := 'Opo invlida'
    else
    if nomeArq = 'CTMUICAR' then
        s := 'So muitas cartas, quantas trago agora ? '
    else
    if nomeArq = 'CTTAMAN' then
        s := 'Tamanho '
    else
    if nomeArq = 'CTARQASS' then
        s := 'Nome do arquivo de assinatura'
    else
    if nomeArq = 'CTARQSPM' then
        s := 'Nome do arquivo de spams'
    else
    if nomeArq = 'CTSEMASS' then
        s := '-- Nenhum --'
    else
    if nomeArq = 'CTQARQAS' then
        s := 'Qual o nome completo do arquivo de assinatura?'
    else
    if nomeArq = 'CTEDIANT' then
        s := 'Quer edit-lo antes de mandar ? '
    else
    if nomeArq = 'CTADIASS' then
        s := 'Adiciona sua assinatura ? '
    else
    if nomeArq = 'CTASSNAO' then
        s := 'Arquivo no existe, no esquea de cri-lo'
    else
    if nomeArq = 'CTQUERLC' then
        s := 'Deseja ler o arquivo original completo ? '
    else
    if nomeArq = 'CTAJFL08' then
        s := 'T - Transmitir cartas j digitadas'
    else
    if nomeArq = 'CTAJFL09' then
        s := 'S - Selecionar remetente associando apelido'
    else
    if nomeArq = 'CTAJFL05' then
        s := 'U - Preparar resposta automtica'
    else
    if nomeArq = 'CTAJFL32' then
        s := 'F3 - Ordenar'
    else
    if nomeArq = 'CTAJFL24' then
        s := 'W - Editar apelidos'
    else
    if nomeArq = 'CTAJFL10' then
        s := 'F5 - Procurar'
    else
    if nomeArq = 'CTAJFL01' then
        s := 'Folheie as cartas com as setas, depois tecle:'
    else
    if nomeArq = 'CTQUEVER' then
        s := 'Verificar preparadas ou transmitidas ? '
    else
    if nomeArq = 'CTORDLIE' then
       s := 'Ordenando a lista de cartas pela data de envio ...'
    else
    if nomeArq = 'CTORDLIC' then
       s := 'Ordenando a lista de cartas pela data de chegada ...'
    else
    if nomeArq = 'CTAJUD6A' then
        s := '  V   Verificar cartas preparadas ou transmitidas'
    else
    if nomeArq = 'CTFIMCNF' then
        s := 'Fim da configurao'
    else
    if nomeArq = 'CTGUENV' then
        s := 'Vou guardar uma cpia de todas as cartas enviadas'
    else
    if nomeArq = 'CTGUASEN' then
        s := 'Vou guardar a senha'
    else
    if nomeArq = 'CTNGUENV' then
        s := 'Armazenagem das cartas j enviadas est inibida'
    else
    if nomeArq = 'CTDATPRP' then
        s := 'Data de preparao: '
    else
    if nomeArq = 'CTQAPELI' then
        s := 'Informe o apelido desejado para '
    else
    if nomeArq = 'CTINFPRO' then
        s := 'Informe o texto a procurar no cabealho da carta'
    else
    if nomeArq = 'CTNACHEI' then
        s := 'No achei'
    else
    if nomeArq = 'CTACHEI' then
        s := 'Achei'
    else
    if nomeArq = 'CTSOUMDS' then
        s := 'Erro: informe apenas um destinatrio principal'
    else
    if nomeArq = 'CTENVCC' then
        s := 'Deseja enviar cpias-carbono desta carta ? '
    else
    if nomeArq = 'CTENVBCC' then
        s := 'Deseja enviar cpias no identificadas desta carta ? '
    else
    if nomeArq = 'CTDIGCC' then
        s := 'Digite os endereos eletrnicos para os carbonos'
    else
    if nomeArq = 'CTENTCC' then
        s := 'Tecle ENTER aps cada nome e aps o ltimo tecle mais um ENTER'
    else
    if nomeArq = 'CTERENVC' then
        s := 'Erro ao enviar a carta.  Servidor reclamou de '
    else
    if nomeArq = 'CTRSPOUT' then
        s := 'A carta a que voc est respondendo tinha sido enviada a outras pessoas'
    else
    if nomeArq = 'CTENVIAT' then
        s := 'Quer enviar sua resposta tambm para elas ? '
    else
    if nomeArq = 'CTLEALTE' then
        s := 'Lendo e alterando carta.'
    else
    if nomeArq = 'CTREESCR' then
        s := 'Arquivo existente, reescreve ? '
    else
    if nomeArq = 'CTDISPON' then
        s := 'Cartas disponveis: '
    else
    if nomeArq = 'CTINTERV' then
        s := 'Aps quantos segundos remonitoro (sugiro 60) ? '
    else
    if nomeArq = 'CTERRSEN' then
        s := 'Senha est errada'
    else
    if nomeArq = 'CTERCONX' then
        s := 'Erro na conexo com o correio'
    else
    if nomeArq = 'CTCARTAS' then
        s := 'Cartas'
    else
    if nomeArq = 'CTAVINOV' then
        s := 'Aviso s quando chegarem cartas novas? '
    else
    if  nomeArq = 'CTERDREC' then
        s := 'Diretrio de recepo de cartas inexistente'
    else
    if  nomeArq = 'CTPOSCRI' then
        s := 'Posso cri-lo? '
    else
    if  nomeArq = 'CTDRNCRI' then
        s := 'Diretrio de recepo no foi criado.'
    else
    if  nomeArq = 'CTNESQCR' then
        s := 'No esquea de criar o diretrio antes de receber ou enviar cartas.'
    else
    if  nomeArq = 'CTERDENV' then
        s := 'Diretrio para cartas a enviar inexistente'
    else
    if  nomeArq = 'CTDENCRI' then
        s := 'Diretrio de envio no foi criado.'
    else
    if  nomeArq = 'CTEDIASS' then
        s := 'Arquivo de assinatura no existe, no se esquea de edit-lo.'
    else
    if  nomeArq = 'CTEDISPM' then
        s := 'Arquivo de spams no existe, no se esquea de edit-lo.'
    else
    if  nomeArq = 'CTEXTCAR' then
        s := 'Ateno: ainda existem cartas a serem enviadas'
    else
    if nomeArq = 'CTAPELSO' then
        s := ' Apelidos'
    else
    if nomeArq = 'CTARQAPL' then
        s := 'Arquivo com a lista de pessoas no existe.'
    else
    if nomeArq = 'CTLISAPL' then
        s := 'Lista de pessoas vazia.'
    else
    if nomeArq = 'CTPALPRO' then
        s := 'Digite a palavra a procurar: '
    else
    if nomeArq = 'CTNOARQL' then
        s := 'Nome do arquivo com a lista de pessoas'
    else
    if nomeArq = 'CTAJAP01' then
        s := 'I - insere um novo apelido'
    else
    if nomeArq = 'CTAJAP02' then
        s := 'E - edita arquivo atual'
    else
    if nomeArq = 'CTAJAP03' then
        s := 'T - troca de arquivo'
    else
    if nomeArq = 'CTAJAP04' then
        s := 'A - arquivo atual'
    else
    if nomeArq = 'CTAPJAEX' then
        s := 'Apelido j existe, se mantiver este, apagar o anterior'
    else
    if nomeArq = 'CTDEESOU' then
        s := 'Deseja escolher outro? '
    else
    if nomeArq = 'CTAPEADI' then
        s := ' apelido adicionado'
    else
    if nomeArq = 'CTAPEADS' then
        s := ' apelidos adicionados'
    else
    if nomeArq ='CTAPNADI' then
        s := ' apelido no adicionado'
    else
    if nomeArq = 'CTAPNADS' then
        s := ' apelidos no adicionados'
    else
    if nomeArq = 'CTLIGERA' then
        s := 'Gerando cartas'
    else
    if nomeArq = 'CTAJFL14' then
        s := 'K - Bloquear o remetente no Mataspam'
    else
    if nomeArq = 'CTAJFL33' then
        s := 'B - Remover todas as cartas jogando pra lixeira''K - Bloquear o remetente no Mataspam'
    else
    if nomeArq = 'CTAJFL34' then
        s := 'CTRL + B - Remover todas as cartas sem jogar pra lixeira'
    else
    if nomeArq = 'CTAJFL35' then
        s := 'CTRL + W - Adiciona todos os remetentes de todas as cartas num s arquivo para ser usado pelo Prelistas'
    else
    if nomeArq = 'CTAJFL36' then
        s := 'Z - Adiciona esta carta num arquivo'
    else
    if nomeArq = 'CTAJFL37' then
        s := 'CTRL + Z - Adiciona todas as cartas num s arquivo'
    else
    if nomeArq = 'CTRMTDJL' then
        s := 'Removo todas jogando pra lixeira?'
    else
    if nomeArq = 'CTRMTDSL' then
        s := 'Removo todas sem jogar pra lixeira?'
    else
    if nomeArq = 'CTAJFL15' then
        s := 'D - Informar o tamanho da carta'
    else
    if nomeArq = 'CTAJFL16' then
        s := 'N - Informar o nome do arquivo da carta'
    else
    if nomeArq = 'CTAJFL20' then
        s := 'G - Buscar a carta pelo nome do arquivo'
    else
    if nomeArq = 'CTAJFL17' then
        s := 'Ctrl+N - Informar o nmero da carta'
    else
    if nomeArq = 'CTAJFL18' then
        s := 'M - Marcar ou desmarcar a carta'
    else
    if nomeArq = 'CTMARCAD' then
        s := 'Marcado'
    else
    if nomeArq = 'CTNMARCA' then
        s := 'Desmarcado'
    else
    if nomeArq = 'CTINFNCA' then
        s := 'Informe o nmero da carta a procurar de '
    else
    if nomeArq = 'CTAJFL19' then
        s := 'Ctrl+G - Buscar a carta pelo nmero'
    else
    if nomeArq = 'CTTIPPRO' then
        s := 'Qual o tipo de procura?'
    else
    if nomeArq = 'CTCABCAR' then
        s := 'C - Cabealho da carta'
    else
    if nomeArq = 'CTCABCPL' then
        s := 'Cabealho completo'
    else
    if nomeArq = 'CTCABRES' then
        s := 'Cabealho resumido'
    else
    if nomeArq = 'CTTODCAR' then
        s := 'T - Toda carta'
    else
    if nomeArq = 'CTINPROT' then
        s := 'Informe o texto a procurar em toda carta'
    else
    if nomeArq = 'CTFALESP' then
        s := 'No existia espao suficiente para escrever.'
    else
    if nomeArq = 'CTINFDDS' then
        s := 'Informe o diretrio destino: '
    else
    if nomeArq = 'CTCANCG' then
        s := 'Certo, operao foi cancelada'
    else
    if nomeArq = 'CTERRODI' then
        s := 'Erro: este diretrio no est acessvel'
    else
    if nomeArq = 'CTJAEXI1' then
        s := 'O arquivo destino'
    else
    if nomeArq = 'CTJAEXI2' then
        s := ' j existe.  Sobrescreve (S/N/T/ESC)? '
    else
    if nomeArq = 'CTFOICOP' then
        s := ' Copiado'
    else
    if nomeArq = 'CTFOIMOV' then
        s := ' Movido'
    else
    if nomeArq = 'CTNAOAPO' then
        s := 'No pude apagar o arquivo original'
    else
    if nomeArq = 'CTTODSEL' then
        s := 'Copia todas lidas? '
    else
    if nomeArq = 'CTAJU52A' then
        s := 'C - Copiar a carta para um arquivo'
    else
    if nomeArq = 'CTAJU53A' then
        s := 'D - Copiar carta para outro diretrio'
    else
    if nomeArq ='CTAJU54A' then
        s := 'M - Mover'
    else
    if nomeArq = 'CTAJU55A' then
        s := 'T - Copiar todas'
    else
    if nomeArq = 'CTAJU56A' then
        s := 'A - Adicionar a um arquivo'
    else
    if nomeArq = 'CTAJU57' then
        s := 'Ctrl+A - Adicionar todas a um arquivo'
    else
    if nomeArq = 'CTAJUD51' then
        s := 'As opes de cpia de cartas so:'
    else
    if nomeArq = 'CTTIPCOP' then
        s := 'Qual o tipo de cpia ? '
    else
    if nomeArq = 'CTNOMREP' then
        s := 'Informe o nome do arquivo rplica'
    else
    if nomeArq = 'CTFOIREP' then
        s := 'foi replicado'
    else
    if nomeArq = 'CTINARQP' then
        s := 'Informe o nome do arquivo a procurar'
    else
    if nomeArq = 'CTATCLF9' then
        s := 'Tecle F9 para selecionar a opo com as setas'
    else
    if nomeArq = 'CTADICIO' then
        s := 'ou tecle A para Adicionar todos: '
    else
    if nomeArq = 'CTNUMCAR' then
        s := 'Nmero de cartas neste folheamento: '
    else
    if nomeArq = 'CTARQNDC' then
        s := 'Arquivo no existe, deseja cria-lo? '
    else
    if nomeArq = 'CTCOMONO' then
        s := ' com o nome '
    else
    if nomeArq = 'CTNAOEXS' then
        s := 'No existem cartas no servidor.'
    else
    if nomeArq = 'CTCARBON' then
        s := 'carbono'
    else
    if nomeArq = 'CTNAOPOD' then
        s := 'O arquivo no pode ser copiado sobre si mesmo !'
    else
    if nomeArq = 'CTORDNOM' then
        s := 'Ordenando a lista de cartas pelo nome...'
    else
    if nomeArq = 'CTORDASS' then
        s := 'Ordenando a lista de cartas pelo assunto...'
    else
    if nomeArq = 'CTPRICAR' then
        s := 'Primeira carta'
    else
    if nomeArq = 'CTULTCAR' then
        s := 'ltima carta'
    else
    if nomeArq = 'CTVELOC' then
        s := 'Velocidade, de 1 a 5'
    else
    if nomeArq = 'CTNAOLID' then
        s := 'No lidas'
    else
    if nomeArq = 'CTINFNUM' then
        s := 'Informe o nmero da carta'
    else
    if nomeArq = 'CTLID' then
        s := 'lidas'
    else
    if nomeArq = 'CTNENCBN' then
        s := 'Nenhuma cpia carbono'
    else
    if nomeArq = 'CTUMACBN' then
        s := 'Uma cpia carbono'
    else
    if nomeArq = 'CTDUACBN' then
        s := 'Duas cpias carbono'
    else
    if nomeArq = 'CTCARCBN' then
        s := 'Cpias carbono'
    else
    if nomeArq = 'CTNENOCU' then
        s := 'Nenhuma cpia oculta'
    else
    if nomeArq = 'CTUMAOCU' then
        s := 'Uma cpia oculta'
    else
    if nomeArq = 'CTDUAOCU' then
        s := 'Duas cpias ocultas'
    else
    if nomeArq = 'CTCAROCU' then
        s := 'Cpias ocultas'
    else
    if nomeArq = 'CTCOPSEL' then
        s := 'Copia todas as selecionadas? '
    else
    if nomeArq = 'CTAPATCA' then
        s := 'Deseja apagar todas as cartas? '
    else
    if nomeArq = 'CTAPASEL' then
        s := 'Deseja apagar todas as selecionadas? '
    else
    if nomeArq = 'CTOKAPAS' then
        s := 'Ok, cartas apagadas'
    else
    if nomeArq = 'CTCONFIG' then
        s := 'Configurao'
    else
    if nomeArq = 'CTADISEL' then
        s := 'Deseja adicionar todas as selecionadas? '
    else
    if nomeArq = 'CTEMJAEX' then
        s := 'e-mail j existe.'
    else
    if nomeArq = 'CTAJFP01' then
        s := 'Folheie as partes com as setas, depois tecle:'
    else
    if nomeArq = 'CTAJFP02' then
        s := 'ENTER ou L - Ler ou gravar a parte'
    else
    if nomeArq = 'CTAJFP03' then
        s := 'E - Ler a parte com o editor'
    else
    if nomeArq = 'CTAJFP04' then
        s := 'G - Gravar a parte'
    else
    if nomeArq = 'CTAJFP05' then
        s := 'SETA PARA ESQUERDA - Informa nome do arquivo da parte'
    else
    if nomeArq = 'CTAJFP06' then
        s := 'SETA PARA DIREITA - Informa tipo da parte'
    else
    if nomeArq = 'CTAJFP07' then
        s := 'A - Apagar a parte'
    else
    if nomeArq = 'CTAJFP08' then
        s := 'Q - Informa quantas do total'
    else
    if nomeArq = 'CTAJFP09' then
        s := 'Ctrl+Q - Informa quantas selecionadas do total'
    else
    if nomeArq = 'CTAJFP10' then
        s := 'S - Informa assunto da carta'
    else
    if nomeArq = 'CTAJFP11' then
        s := 'BARRA DE ESPAO - Seleciona ou tira seleo'
    else
    if nomeArq = 'CTAJFP12' then
        s := '* - Seleciona tudo'
    else
    if nomeArq = 'CTAJFP13' then
        s := '/ - Tira seleo de tudo'
    else
    if nomeArq = 'CTAJFP14' then
        s := 'P - Lista cabealho da parte'
    else
    if nomeArq = 'CTAJFP15' then
        s := 'CTRL+F - Grava carta e sai'
    else
    if nomeArq = 'CTAJFP17' then
        s := 'ESC - Terminar folheamento das partes'
    else
    if nomeArq = 'CTQPARTE' then
        s := 'Qual a parte desejada? (use setas, F1 ajuda) '
    else
    if nomeArq = 'CTITFOCA' then
        s := 'Folheie os itens do cabealho desta parte com as setas, tecle ESC para sair'
    else
    if nomeArq = 'CTNAODEF' then
        s := 'No definido'
    else
    if nomeArq = 'CTDEAPSE' then
        s := 'Deseja apagar as partes selecionadas?'
    else
    if nomeArq = 'CTPARAPA' then
        s := 'Parte apagada'
    else
    if nomeArq = 'CTDEAPSE' then
        s := 'Deseja apagar as partes selecionadas?'
    else
    if nomeArq = 'CTPASAPS' then
        s := 'Partes apagadas'
    else
    if nomeArq = 'CTDEAPPA' then
        s := 'Deseja apagar essa parte? '
    else
    if nomeArq = 'CTGRAALT' then
        s := 'Deseja gravar as alteraes na carta?'
    else
    if nomeArq = 'CTEDENSO' then
        s := 'Edite o nome do arquivo ou tecle ENTER para sobrescrever'
    else
    if nomeArq = 'CTARQGRA' then
        s := 'Arquivo gravado'
    else
    if nomeArq = 'CTGRASEL' then
        s := 'Deseja gravar as partes selecionadas?'
    else
    if nomeArq = 'CTAPATIP' then
        s := 'A parte do tipo '
    else
    if nomeArq = 'CTNTEMNO' then
        s := ' no tem nome para o arquivo destino.'
    else
    if nomeArq = 'CTCGRAPS' then
        s := 'Deseja continuar a gravao das partes selecionadas?'
    else
    if nomeArq = 'CTGRAVPA' then
        s := 'Gravando parte '
    else
    if nomeArq = 'CTGRAVSO' then
        s := 'Qual o tipo de gravao, Simplificada ou Original?'
    else
    if nomeArq = 'CTFORETO' then
        s := 'Folheamento de cartas recebidas'
    else
    if nomeArq = 'CTFORELI' then
        s := 'Folheamento de cartas recebidas lidas'
    else
    if nomeArq = 'CTFORENA' then
        s := 'Folheamento de cartas recebidas no lidas'
    else
    if nomeArq = 'CTFOCATA' then
        s := 'Folheamento de cartas transmitidas'
    else
    if nomeArq = 'CTFOCAPR' then
        s := 'Folheamento de cartas preparadas para transmisso'
    else
    if nomeArq = 'CTFOPACA' then
        s := 'Folheamento das partes da carta'
    else
    if  nomeArq = 'CTAJFL5B' then
        s := 'R - Responder carta'
    else
    if nomeArq = 'CTAJFL5C' then
         s := 'E - Encaminhar carta'
    else
    if nomeArq = 'CTAJFL5D' then
        s := 'Ctrl+E - Encaminhar em anexo'
    else
    if nomeArq = 'CTAJFL5E' then
        s := 'Ctrl+R - Responder para o remetente'
    else
    if nomeArq = 'CTAJFL5F' then
        s := 'E - editar carta'
    else
    if nomeArq = 'CTAJFL9A' then
        s := 'S - selecionar destinatrio associando apelido'
    else
    if nomeArq = 'CTAJFL8A' then
        s := 'R - Reenviar carta'
    else
    if nomeArq = 'CTAJFL12' then
        s := 'O - Editar o texto original da carta'
    else
    if nomeArq = 'CTAJFL25' then
        s := 'Ctrl+T - Marca ou desmarca todas as cartas'
    else
    if nomeArq = 'CTAJFL38' then
        s := 'Ctrl+V - Marca ou desmarca todas as cartas'
    else
    if nomeArq = 'CTAJFL39' then
        s := 'Ctrl+I - Soletra a configurao'
    else
    if nomeArq = 'CTAJFL40' then
        s := 'P - Folhear os itens do cabealho da carta'
    else
    if nomeArq = 'CTAJFL41' then
        s := 'Ponto - Leitor de tela'
    else
    if nomeArq = 'CTAJFL42' then
        s := 'F11 - Armazenamento de cartas com original ou sem original'
    else
    if nomeArq = 'CTAJFL43' then
        s := 'CTRL + F1 - Velocidade 2'
    else
    if nomeArq = 'CTAJFL44' then
        s := 'CTRL + F2 - Velocidade 3'
    else
    if nomeArq = 'CTAJFL45' then
        s := 'CTRL + F3 - Velocidade 4'
    else
    if nomeArq = 'CTAJFL46' then
        s := 'CTRL + F4 - Velocidade 5'
    else
    if nomeArq = 'CTAJFL47' then
        s := 'F4 - Mudana de velocidade entre 1 e 5'
    else
    if nomeArq = 'CTAJFL26' then
        s := 'F - Fala o remetente da carta'
    else
    if nomeArq = 'CTAJFL27' then
        s := 'Ctrl+F - Fala o destinatrio da carta'
    else
    if nomeArq = 'CTAJFL28' then
    s := 'Ctrl+D - Informa o tamanho de todas as cartas'
    else
    if nomeArq = 'CTAJFL13' then
        s := 'Q - Informar qual a carta do total'
    else
    if nomeArq = 'CTAJFL29' then
        s := 'Ctrl+Q - Informa selecionadas do total'
    else
    if nomeArq = 'CTSELECI' then
        s := 'selecionados'
    else
    if nomeArq = 'CTSELECS' then
        s := 'selecionado'
    else
    if nomeArq = 'CTDE' then
        s := 'de'
    else
    if nomeArq = 'CTCARPRS' then
        s := 'Cartas preparadas para envio'
    else
     if nomeArq = 'CTREESEL' then
        s := 'Deseja reenviar todas as selecionadas? '
    else
    if nomeArq = 'CTREECAR' then
        s := 'Deseja reenviar esta carta? '
    else
    if nomeArq = 'CTEASSUN' then
        s := 'Editore o assunto da carta'
    else
    if nomeArq = 'CTENTFEC' then
        s := 'Tecle ENTER para fechar a carta ou F1 para conhecer outras opes'
    else
    if nomeArq = 'CTEDDEEN' then
        s := 'Edite o nome do destinatrio'
    else
    if nomeArq = 'CTESOUAP' then
        s := 'Setas escolhe outro no caderno de apelidos'
    else
    if nomeArq = 'CTDELICA' then
        s := 'Deseja limpar a lista de cpias carbono?'
    else
    if nomeArq = 'CTAJEN01' then
        s := 'A - Anexa arquivos'
    else
    if nomeArq = 'CTAJEN02' then
        s := 'C - Cpias carbono'
    else
    if nomeArq = 'CTAJEN03' then
        s := 'S - Editar assunto'
    else
    if nomeArq = 'CTAJEN04' then
        s := 'D - Editar destinatrio'
    else
    if nomeArq = 'CTAJEN05' then
        s := 'E - Reeditar texto'
    else
    if nomeArq = 'CTAJEN06' then
        s := 'L - Limpa a lista de copias carbono'
    else
    if nomeArq = 'CTAJEN07' then
        s := 'ESC - Cancela'
    else
    if nomeArq = 'CTAJEN08' then
        s := 'O - Cpias carbono ocultas'
    else
    if nomeArq = 'CTAJEN13' then
        s := 'CTRL+P  Particionar carta em varias'
    else
    if nomeArq = 'CTAJIN01' then
        s := 'ENTER ou S - Traz a carta'
    else
    if nomeArq = 'CTAJIN02' then
        s := 'N - No trazer carta'
    else
    if nomeArq = 'CTAJIN03' then
        s := 'D - Ligar ou desligar modo debug'
    else
    if nomeArq = 'CTAJIN04' then
        s := 'G - Ignorar todas as cartas grandes'
    else
    if nomeArq = 'CTAJIN05' then
        s := 'T - Trazer todas as cartas'
    else
    if nomeArq = 'CTAJIN06' then
        s := 'I - Informaes sobre a carta'
    else
    if nomeArq = 'CTFOLAPE' then
        s := 'Folheamento dos apelidos'
    else
    if nomeArq = 'CTEMAIL' then
        s := 'e-mail'
    else
    if nomeArq = 'CTENCPAR' then
        s := 'Encaminhada para'
    else
    if nomeArq = 'CTCOMANE' then
        s := 'Com anexo'
    else
    if nomeArq = 'CTAJFL30' then
        s := 'F6 - procura invertida'
    else
    if nomeArq = 'CTAJFL31' then
        s := 'H - Vai para outro folheamento'
    else
    if nomeArq = 'CTAJFL11' then
        s := 'CTRL + L - Liberar o remetente no MataSpam'
    else
    if nomeArq = 'CTAJFL21' then
        s := 'A - Apagar carta do servidor'
    else
    if nomeArq = 'CTAJFL22' then
        s := 'R - Receber cartas do servidor'
    else
    if nomeArq = 'CTAJFL23' then
        s := 'Control R - Receber cartas sem apag-las do servidor'
    else
    if nomeArq = 'CTPROINV' then
        s := 'Procura invertida'
    else
    if nomeArq = 'CTAJIN07' then
        s := 'A - Assunto da carta'
    else
    if nomeArq = 'CTAJIN08' then
        s := 'Z - Tamanho da carta'
    else
    if nomeArq = 'CTSEMTXT' then
        s := 'Sem texto'
    else
    if nomeArq = 'CTARQVIR' then
        s := 'Esse arquivo pode ser um VRUS, tome muito cuidado!'
    else
    if nomeArq = 'CTDESEXE' then
        s := 'Deseja executar esse arquivo?'
    else
    if nomeArq = 'CTPROCOR' then
        s := 'Informe o texto a procurar no corpo da carta'
    else
    if nomeArq = 'CTCORCAR' then
        s := 'B - Corpo da carta'
    else
    if nomeArq = 'CTPROASS' then
        s := 'A - Assunto desta carta'
    else
    if nomeArq = 'CTPROREM' then
        s := 'R - Remetente desta carta'
    else
    if nomeArq = 'CTPRODES' then
        s := 'D - Destinatrio desta carta'
    else
    if nomeArq = 'CTPRODAT' then
        s := 'H - Data de chegada desta carta'
    else
    if nomeArq = 'CTQUAFOL' then
        s := 'Qual o tipo de folheamento (F/N/L/P/T)?'
    else
    if nomeArq = 'CTRECEBI' then
        s := 'Recebidas'
    else
    if nomeArq = 'CTNAOLID' then
        s := 'No lidas'
    else
    if nomeArq = 'CTLIDAS' then
        s := 'Lidas'
    else
    if nomeArq = 'CTPREPAR' then
        s := 'Preparadas'
    else
    if nomeArq = 'CTTRANSM' then
        s := 'Transmitidas'
    else
    if nomeArq = 'CTENVAGO' then
        s := 'Deseja transmitir agora?'
    else
    if nomeArq = 'CTORDTAM' then
        s := 'Ordenando a lista de cartas pelo tamanho...'
    else
    if nomeArq = 'CTAJOR00' then
        s := 'Os tipos de ordenao so:'
    else
    if nomeArq = 'CTAJOR01' then
        s := 'C - Data de chegada'
    else
    if nomeArq = 'CTAJOR02' then
        s := 'E - Data de Envio'
    else
    if nomeArq = 'CTAJOR03' then
        s := 'A - Assunto'
    else
    if nomeArq = 'CTAJOR04' then
        s := 'N - Nome'
    else
    if nomeArq = 'CTAJOR05' then
        s := 'T - Tamanho'
    else
    if nomeArq = 'CTAJOR06' then
        s := 'I - Inversa'
    else
    if nomeArq = 'CTQUATOR' then
        s := 'Qual o tipo de ordenao?'
    else
    if nomeArq = 'CTAPCADU' then
        s := 'Apagando cartas duplicadas  no lidas ...'
    else
    if nomeArq = 'CTENAPDU' then
        s := 'Tecle ENTER para apagar as cartas duplicadas no lidas'
    else
    if nomeArq = 'CTCAPREC' then
        s := 'Deseja realmente cancelar o preparo desta carta?'
    else
    if nomeArq = 'CTRECAUT' then
        s := 'Deseja receber as cartas automaticamente: '
    else
    if nomeArq = 'CTDIGBCC' then
        s := 'Digite os endereos eletrnicos para os carbonos ocultos'
    else
    if nomeArq = 'CTOUTPT' then
        s := ' Ou tecle T para todos '
    else
    if nomeArq = 'CTFOLCAR' then
        s := 'Folheamento dos carbonos'
    else
    if nomeArq = 'CTCOPCAR' then
        s := 'Copias carbono'
    else
    if nomeArq = 'CTLISOCT' then
        s := 'Tecle O para carbonos Ocultos, C para no ocultos ou T para ambas as listas'
    else
    if nomeArq = 'CTQLDFOL' then
        s := 'Qual lista carbono deseja folhear?'
    else
    if nomeArq = 'CTTEOCCS' then
        s := 'Tecle O para carbonos ocultos ou C para no ocultos'
    else
    if nomeArq = 'CTAJEN09' then
        s := 'F - Folhear listas carbono'
    else
    if nomeArq = 'CTAJEN10' then
        s := 'R - Inserir ou remover confirmao de recebimento'
    else
    if nomeArq = 'CTAJEN11' then
        s := 'T  Fechar carta e transmitir'
    else
    if nomeArq = 'CTAJEN12' then
        s := 'G  Gravar recado falado'
    else
    if nomeArq = 'CTRECEB1' then
        s := 'Recebida'
    else
    if nomeArq = 'CTAJOR06' then
        s := 'I - Inversa'
    else
    if nomeArq = 'CTLICAVA' then
        s := 'Lista de copias carbono vazia.'
    else
    if nomeArq = 'CTDEREIT' then
        s := 'Deseja remover este item?'
    else
    if nomeArq = 'CTDEREIS' then
        s := 'Deseja remover todos os itens selecionados?'
    else
    if nomeArq = 'CTAJFC01' then
        s := 'Ctrl+A - Apagar'
    else
    if nomeArq = 'CTAJFC02' then
        s := 'Ctrl+Q - Informa quantos do total'
    else
    if nomeArq = 'CTAJFC03' then
        s := 'Ctrl+S - Informa quantos selecionados do total'
    else
    if nomeArq = 'CTAJFA01' then
        s := 'ENTER - Escolhe atual ou selecionados e sai'
    else
    if nomeArq = 'CTEDICAR' then
        s := 'Editando carta '
    else
    if nomeArq = 'CTCAEDCA' then
        s := 'Deseja realmente cancelar a edio desta carta?'
    else
    if nomeArq = 'CTCOPCAO' then
        s := 'Copias carbono ocultas'
    else
    if nomeArq = 'CTUMA' then
        s := 'Uma'
    else
    if nomeArq = 'CTDUAS' then
        s := 'Duas'
    else
    if nomeArq = 'CTUMACAR' then
        s := 'Uma carta'
    else
    if nomeArq = 'CTDUACAR' then
        s := 'Duas cartas'
    else
    if nomeArq = 'CTEDICAN' then
        s := 'Edio cancelada'
    else
    if nomeArq = 'CTCANCEL' then
        s := 'Cancelado'
    else
    if nomeArq = 'CTCONSAI' then
        s := 'Confirma sada do Cartavox?'
    else
    if nomeArq = 'CTSEMDES' then
        s := 'Carta sem destinatrio.'
    else
    if nomeArq = 'CTSSLNAO' then
        s := 'Sistema de segurana SSL/TLS no pde ser ativado'
    else
    if nomeArq = 'CT_SMTP'  then
        s := 'Nome do servidor SMTP'
    else
    if nomeArq = 'CT_SENHA' then
        s := 'SMTP precisa de senha'
    else
    if nomeArq = 'CT_TLS'   then
        s := 'SMTP exige segurana'
    else
    if nomeArq = 'CT_PSMTP' then
        s := 'Porta SMTP (0 usa padro)'
    else
    if nomeArq = 'CT_POP3'  then
        s := 'Nome do servidor POP3'
    else
    if nomeArq = 'CT_SSL'   then
        s := 'POP3 exige segurana'
    else
    if nomeArq = 'CT_PPOP3' then
        s := 'Porta POP3 (0 usa padro)'
    else
    if nomeArq = 'CT_NOME'  then
        s := 'Nome registrado como'
    else
    if nomeArq = 'CT_RESP'  then
        s := 'Endereo para resposta'
    else
    if nomeArq = 'CT_ENDER' then
        s := 'Endereo eletrnico'
    else
    if nomeArq = 'CT_CONTA' then
        s := 'Conta no servidor'
    else
    if nomeArq = 'CT_DIRRC' then
        s := 'Diretrio cartas recebidas'
    else
    if nomeArq = 'CT_DIREN' then
        s := 'Diretrio cartas a enviar'
    else
    if nomeArq = 'CT_LIMRC' then
        s := 'Limite carta recebida'
    else
    if nomeArq = 'CT_ARQAS' then
        s := 'Arquivo de assinatura'
    else
    if nomeArq = 'CT_ARQAP' then
        s := 'Arquivo de apelidos'
    else
    if nomeArq = 'CT_GUARD' then
        s := 'Guardar cartas enviadas'
    else
    if nomeArq = 'CT_GSENH' then
        s := 'Guardar a senha'
    else
    if nomeArq = 'CTNOVCNF' then
        s := 'Nova configurao do Cartavox'
    else
    if nomeArq = 'CTSETACO' then
        s := 'Use as setas para escolher um dos correios abaixo'
    else
    if nomeArq = 'CTNOME' then
        s := 'Informe seu nome:'
    else
    if nomeArq = 'CTSEUEML' then
        s := 'Qual o seu email neste servidor?'
    else
    if nomeArq = 'CTAPAAPE' then
        s := 'Deseja apagar o apelido '
    else
    if nomeArq = 'CTOKAPAP' then
        s := 'Ok, apelido apagado'
    else
    if nomeArq = 'CTOKAPES' then
        s := 'Ok, apelidos apagados'
    else
    if nomeArq = 'CTCANREC' then
        s := 'Deseja cancelar o recebimento das cartas? '
    else
    if nomeArq = 'CTCANTRA' then
        s := 'Deseja cancelar a transmisso das cartas? '
    else
    if nomeArq = 'CTREGINI' then
        s := 'Regras'
    else
    if nomeArq = 'CTREGO00' then
        s := 'I - Incluir regra'
    else
    if nomeArq = 'CTREGO01' then
        s := 'A - Aplicar regras nas cartas recebidas'
    else
    if nomeArq = 'CTREG002' then
        s := 'P - Pastas de Regras'
    else
    if nomeArq = 'CTREG003' then
        s := 'R - folhear regras'
    else
    if nomeArq = 'CTREGESC' then
        s := 'Digite A para aplicar regra sobre o assunto e R para remetente'
    else
    if nomeArq = 'CTREGAAS' then
        s := 'Digite o assunto sobre o qual deseja aplicar a regra'
    else
    if nomeArq = 'CTREGEXA' then
        s := 'J existe regra para esse assunto'
    else
    if nomeArq = 'CTREGEXR' then
        s := 'J existe regra para esse remetente'
    else
    if nomeArq = 'CTREGFAZ' then
        s := 'Tecle P para mover estas cartas para uma pasta ou E para excluir: '
    else
    if nomeArq = 'CTREGPAS' then
        s := 'Para qual pasta voc deseja mover essa carta?'
    else
    if nomeArq = 'CTREGAPE' then
        s := 'Deseja aplicar a regra sobre as cartas existentes?'
    else
    if nomeArq = 'CTREGARE' then
        s := 'Digite o email do remetente sobre o qual deseja aplicar a regra.'
    else
    if nomeArq = 'CTREGAPL' then
        s := 'Regras aplicadas'
    else
    if nomeArq = 'CTPASNEN' then
        s := 'Pasta no encontrada'
    else
    if nomeArq = 'CTARQREG' then
        s := 'Arquivo com as regras no existe'
    else
    if nomeArq = 'CTFOLREG' then
        s := 'Folheamento das regras'
    else
    if nomeArq = 'CTFOLPAS' then
        s := 'Folheamento das pastas de regras'
    else
    if nomeArq = 'CTPASTAS' then
        s := ' Pastas'
    else
    if nomeArq = 'CTAPAREG' then
        s := 'Deseja apagar a regra '
    else
    if nomeArq = 'CTREGAPR' then
        s := 'Deseja aplicar as regras sobre as cartas recebidas? '
    else
    if nomeArq = 'CTREGVAZ' then
        s := 'O arquivo de regras est vazio'
    else
    if nomeArq = 'CTREGCAR' then
        s := 'No existem cartas para aplicar as regras'
    else
    if nomeArq = 'CTCARLIX' then
        s := 'Cartas movidas para a lixeira'
    else
    if nomeArq = 'CTCARPAS' then
        s := 'Cartas movidas para a pasta '
    else
    if nomeArq =  'CT_APREG' then
        s := 'Aplicar regras'
    else
    if nomeArq = 'CT_INASS' then
        s := 'Inserir assinatura'
    else
    if nomeArq = 'CT_INCOR' then
        s := 'Inserir confirmao de recebimento'
    else
    if nomeArq = 'CT_FALNP' then
        s := 'Falar nome antes do assunto'
    else
    if nomeArq = 'CT_ORDEN' then
        s := 'Ordenar por data de envio'
    else
    if nomeArq = 'CT_CAORD' then
        s := 'Folhear em ordem decrescente'
    else
    if nomeArq = 'CT_CLEK' then
        s := 'Sonorizar na recepo e transmio'
    else
    if nomeArq = 'CT_PERSA' then
        s := 'Perguntar ao sair'
    else
    if nomeArq = 'CT_PERSF' then
        s := 'Perguntar ao sair do folheamento'
    else
    if nomeArq = 'CT_CABRE' then
        s := 'Cabealho resumido na resposta'
    else
    if nomeArq = 'CT_AUDUL' then
        s := 'Enviar duplicadas automaticamente para lixeira'
    else
    if nomeArq = 'CT_ADIOR' then
        s := 'Adicionar original na cpia'
    else
    if nomeArq = 'CT_DIRLI' then
        s := 'Diretrio da lixeira'
    else
    if nomeArq = 'CT_sSMSSL' then
        s := 'O servidor usa segurana SSL? '
    else
    if nomeArq = 'CT_IMAPSSL' then
        s := 'O servidor Imap usa segurana SSL? '
    else
    if nomeArq = 'CT_SMTLS' then
        s := 'SMTP com TLS? '
    else
    if nomeArq = 'CTOKRGAP' then
        s := 'Ok, regra apagada'
    else
    if nomeArq = 'CTAJFR01' then
        s := 'Folheie as regras com as setas, depois tecle:'
    else
    if nomeArq = 'CTAJFR02' then
        s := 'A - Apagar regra'
    else
    if nomeArq = 'CTAJPA01' then
        s := 'Folheie as pastas com as setas, depois tecle:'
    else
    if nomeArq = 'CTAJPA02' then
        s := 'F - Folhear todas as cartas desta pasta'
    else
    if nomeArq = 'CTCARCNP' then
        s := 'Caracteres /, \, <, >, ", ?, :, * ou | no so permitidos'
    else
    if nomeArq = 'CTMOVCAR' then
        s := 'Deseja mover as cartas desta pasta para o diretrio principal?'
    else
    if nomeArq = 'CTMOVCR2' then
        s := 'Se no mover, sero perdidas. '
    else
    if nomeArq = 'CTCARMOV' then
        s := 'Ok, cartas movidas'
        else
    if nomeArq = 'CTRESCON' then
        s := 'O remetente requisitou uma confirmao de leitura. Posso confirmar?'
    else
    if nomeArq = 'CTRECINC' then
        s := 'Confirmao de recebimento includo'
    else
    if nomeArq = 'CTRECREM' then
        s := 'Confirmao de recebimento removido '
    else
    if nomeArq = 'CTERESPA' then
        s := 'Erro no arquivo da resposta automtica'
    else
    if nomeArq = 'CTERFECH' then
        s := 'Erro ao fechar o arquivo'
    else
    if nomeArq = 'CTADBSEL' then
        s := 'Deseja bloquear todos os selecionados? '
    else
    if nomeArq = 'CTADLSEL' then
        s := 'Deseja liberar todos os selecionados? '
    else
    if nomeArq = 'CTBLOREM' then
        s := 'Deseja bloquear este remetente no Mata Spam?'
    else
    if nomeArq = 'CTLIBREM' then
        s := 'Deseja liberar este remetente no Mata Spam?'
    else
    if nomeArq = 'CTLIBERA' then
        s := 'Liberar'
    else
    if nomeArq = 'CTBLOQUE' then
        s := 'Bloquear'
    else
    if nomeArq = 'CTNEIMAP' then
        s := 'No encontrei o utilitrio IMAPUtil.'
    else
    if nomeArq = 'CTSAIFOL' then
        s := 'Deseja sair do folheamento?'
    else
    if nomeArq = 'CTREAUFE' then
        s := 'Resposta automtica de frias ativada'
    else
    if nomeArq = 'CTMUQTFO' then
        s := 'So muitas cartas, quantas deseja folhear?'
    else
    if nomeArq = 'CTAJRE01' then
        s := '   E - Escrever Resposta automtica'
    else
    if nomeArq = 'CTAJRE02' then
        s := '   A - Ativar Resposta automtica de frias'
    else
    if nomeArq = 'CTAJRE03' then
        s := '   A - Editar assunto da resposta automtica'
    else
    if nomeArq = 'CTAJRE04' then
        s := '   C - Editar corpo da resposta automtica'
    else
    if nomeArq = 'CTEXREAU' then
        s := 'J existe resposta automtica configurada.'
    else
    if nomeArq = 'CTQASSRE' then
        s := 'Qual o assunto da resposta automtica?'
    else
    if nomeArq = 'CTATREAU' then
        s := 'Deseja ativar a resposta automtica de frias?'
    else
    if nomeArq = 'CTREAUNA' then
        s := 'Resposta automtica de frias no foi ativada'
    else
    if nomeArq = 'CTREAUDE' then
        s := 'Resposta automtica de frias desativada'
    else
    if nomeArq = 'CTPPREAU' then
        s := 'Preparando resposta automtica para '
    else
    if nomeArq = 'CTREAUSE' then
        s := 'Deseja preparar resposta automtica para as selecionadas?'
    else
    if nomeArq = 'CTINFSEL' then
        s := 'Tecle c para conhecer as selecionadas.'
    else
    if nomeArq = 'CTCAREAU' then
        s := 'Deseja realmente cancelar o preparo da resposta automtica?'
    else
    if nomeArq = 'CTCAESED' then
        s := 'Deseja realmente cancelar esta edio?'
    else
    if nomeArq = 'CTREAUPP' then
        s := 'Resposta automtica preparada'
    else
    if nomeArq = 'CTMEAUNE' then
        s := 'Resposta automtica no foi escrita, deseja escrev-la agora?'
    else
    if nomeArq = 'CTRESAUT' then
        s := 'Resposta automtica'
    else
    if nomeArq = 'CTAJGC01' then
        s := '   A - Adicionar contas ao grupo de contas'
    else
    if nomeArq = 'CTAJGC02' then
        s := '   R - Remover contas do grupo de contas'
    else
    if nomeArq = 'CTFOGRCO' then
        s := 'Folheamento do grupo de contas'
    else
    if nomeArq = 'CTNEXCAD' then
        s := 'No existem contas a serem adicionadas.'
    else
    if nomeArq = 'CTNEXGRU' then
        s := 'No existem contas no grupo.'
    else
    if nomeArq = 'CTPAADCO' then
        s := 'Para adicionar a conta '
    else
    if nomeArq = 'CTAOGRCO' then
        s := ' ao grupo de contas, a senha precisa ser gravada. '
    else
    if nomeArq = 'CTDEGRSE' then
        s := 'Deseja gravar a senha desta conta?'
    else
    if nomeArq = 'CTNFAGRC' then
        s := 'no foi adicionada ao grupo de contas'
    else
    if nomeArq = 'CTFOADGR' then
        s := 'Foi adicionada ao grupo de contas'
    else
    if nomeArq = 'CTADGRCO' then
        s := 'Contas adicionadas ao grupo de contas'
    else
    if nomeArq = 'CTREGRCO' then
        s := 'Foi retirada do grupo de contas'
    else
    if nomeArq = 'CTCOREGR' then
        s := 'Contas retiradas do grupo de contas'
    else
    if nomeArq = 'CTSEGRCO' then
        s := 'Seleo do Grupo de contas'
    else
    if nomeArq = 'CTTRCAAU' then
        s := 'Deseja trazer as cartas de todas as contas automaticamente?'
    else
    if nomeArq = 'CTACECON' then
        s := 'Acessando conta '
    else
    if nomeArq = 'CTNECASE' then
        s := 'No existem cartas nos servidores'
    else
    if nomeArq = 'CTNAECSE' then
        s := 'No existem contas selecionadas'
    else
    if nomeArq = 'CTAJSE01' then
        s := '   S - Selecionar contas'
    else
    if nomeArq = 'CTAJSE02' then
        s := '   R - Receber cartas das contas selecionadas'
    else
    if nomeArq = 'CTAJSE03' then
        s := '   T - Transmitir cartas das contas selecionadas'
    else
    if nomeArq = 'CTAJSE04' then
        s := '   M - Monitorar contas selecionadas'
    else
    if nomeArq = 'CTAJSE05' then
        s := '   Q - Informar total de cartas das contas selecionadas'
    else
    if nomeArq = 'CTGRDECO' then
        s := 'Grupo de contas'
    else
    if nomeArq = 'CTNAECTR' then
        s := 'No existem cartas a serem transmitidas na conta '
    else
    if nomeArq = 'CTCOSECO' then
        s := 'Contactando servidor para transmitir cartas da conta '
    else
    if nomeArq = 'CTDETZSE' then
        s := 'Deseja trazer todas as selecionadas?'
    else
    if nomeArq = 'CTDETZAS' then
        s := 'Deseja trazer a carta com o assunto '
    else
    if nomeArq = 'CTOPINSE' then
        s := 'Opo indisponvel neste servidor'
    else
    if nomeArq = 'CTMATSPA' then
        s := 'Matando spans'
    else
    if nomeArq = 'CTNENSPA' then
        s := 'No encontrou Spam'
    else
    if nomeArq = 'CTENSPVI' then
        s := 'Nmero de spans e vrus encontrados: '
    else
    if nomeArq = 'CTCARAPR' then
        s := 'Cartas aprovadas: '
    else
    if nomeArq = 'CTUTSETA' then
        s := 'Use as setas, tecle ESC para sair'

    // Mensagens utilizadas na gravao do recado
    else
    if nomeArq = 'CTENTINI' then
        s := 'Aperte Enter para gravar, Enter de novo termina.'
    else
    if nomeArq = 'CTESCUTA' then
        s := 'Quer escutar o recado? '
    else
    if nomeArq = 'CTGRVCAN' then
        s := 'Gravao cancelada.'
    else
    if nomeArq = 'CTPRBMP3' then
        s := 'Problema ao converter para MP3, cdigo: '
    else
    if nomeArq = 'CTANESOM' then
        s := 'Tecle A para anexar ou ESC para cancelar'
    else
    if nomeArq = 'CTEXREGR' then
        s := 'J existe recado gravado'
    else
    if nomeArq = 'CTDESDIV' then
        s := 'Deseja gerar uma carta para cada destinatrio?'
    else
    if nomeArq = 'CTDIGSAU' then
        s := 'Digite a saudao ou deixe em branco para nenhuma:'

    else
        s := nomeArq;
//        s := '--> Mensagem invlida: ' + nomeArq;

   pegaTextoMensagem := s;
end;

{--------------------------------------------------------}
{       Toca se existir, caso contrrio sintetiza
{--------------------------------------------------------}

procedure tocaOuSintetiza (nomeArq: string);
begin
    if existeArqSom (nomearq) then
        sintSom (nomearq)
    else
        sintetiza (pegaTextoMensagem (nomeArq));
end;

{--------------------------------------------------------}
{       d uma mensagem
{--------------------------------------------------------}

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
    s: string;

begin
    s := pegaTextoMensagem (nomeArq);

    if nlf >= 0 then write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom (nomearq) then
        sintSom (nomearq)
    else
        sintetiza (s);
end;

{--------------------------------------------------------}
{       Soletra uma string
{-------------------------------------------------------------}

procedure soletra(s: string; nlf: integer);
var i: integer;
begin
     write (s);
     for i := 1 to nlf do
         writeln;
     for i := 1 to length (s) do
         sintSoletra (s[i]);
end;

{--------------------------------------------------------}
{       da mensagem na ultima linha
{--------------------------------------------------------}

procedure msgBaixo (nomeArq: string);
var y: integer;
begin
    textBackGround (BLACK);
    if wherey = 25 then
        begin
             clreol;
             writeln;
        end;

    y := wherey;

    gotoxy (1, 25);
    clreol;

    if nomeArq <> '' then
        begin
            textBackground (RED);
            gotoxy (80-length(pegaTextoMensagem (nomeArq)), 25);
            mensagem (nomeArq, 0);
            textBackground (BLACK);
        end;

    gotoxy (0, y);
end;

{--------------------------------------------------------}
{       Fala o tamanho do arquivo
{--------------------------------------------------------}

procedure falaTamanhoArq (tam: longint);
var
    medida: char;
    decimal: integer;
begin
    medida := ' ';
    if tam >= 65536 then
        begin
            medida := 'K';
            decimal := tam mod 1024;
            tam := tam div 1024;
            if decimal > 512 then tam := tam + 1;
        end;

    sintWrite (intToStr (tam) + medida);
end;

{--------------------------------------------------------}
{       bipa no speaker
{--------------------------------------------------------}

procedure bipSpeaker (pitch: integer);
begin
    checkbreak := false;
    SpeakerSound (220);
    delay (80);
    SpeakerNoSound;
    checkbreak := true;
end;

begin
end.
